# MegafonAPI
Работа с личным кабинетом для бизнеса и ВАТС через API

> Этому проекту много чего не хватает:
> * Тестов
> * Проверок ответов бэкенда
> * ...
> 
> Однако, даже в существующем виде, он работоспособен и используется в одном крупном проекте, для которого и дорабатывается время от времени


## MagfonAPI.LK
Класс для работы с личным кабинетом.
Для инициализации необходимы: адрес (b2blk.megafon.ru), логин, пароль

Позволяет:
1. Получить список сим-карт
1. Получить информацию по сим-картам (начисления, состояние, тариф, лимиты, услуги)
1. Сменить тариф
1. Установка/снятие добровольной блокировки
1. Установка лимитов

### Пример
```python
    from MegafonAPI import VATS
    vats = VATS("address", "user", "password", "name"])
    if vats.getSimCards():
      print(vats.simcards)
```

  
## MagfonAPI.VATS
Класс для работы с ВАТС.
Для инициализации необходимы: адрес (vatsXXXX.megapbx.ru), логин, пароль

Позволяет:
1. Получить список сим-карт
1. Получить список пользователей
1. Добавить/удалить сим-карту в/из ВАТС
1. Подключить(назначить) сим-карту свободному пользователю
1. Отключить сим-карту

### Пример
```python
    from MegafonAPI import LK
    lk = LK("address", "user", "password", "name"])
    if lk.getSimCards():
      lk.getSimServicesInfo(lk.simcards)
      print(lk.simcards)
```
